baz_manchester_decode_bb.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <deque>`
Include dependency graph for baz_manchester_decode_bb.h:

Go to the source code of this file.

## Classes

class | baz_manchester_decode_bb
| square2 a stream of floats. More...

## Functions

BAZ_API baz_manchester_decode_bb_sptr | baz_make_manchester_decode_bb (bool original, int threshold, int window, bool verbose=false, bool show_bits=false)
| Return a shared_ptr to a new instance of baz_manchester_decode_bb.

## Variables

class BAZ_API | baz_manchester_decode_bb

## Function Documentation

## baz_make_manchester_decode_bb()

BAZ_API baz_manchester_decode_bb_sptr baz_make_manchester_decode_bb | ( | bool | original,
|  | int | threshold,
|  | int | window,
|  | bool | verbose = `false`,
|  | bool | show_bits = `false`
| ) |  |

Return a shared_ptr to a new instance of baz_manchester_decode_bb.

To avoid accidental use of raw pointers, baz_manchester_decode_bb's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_manchester_decode_bb

class BAZ_API baz_manchester_decode_bb